%define name driconf
%define version 0.2.7
%define release 1mdk

Summary: DRI Configuration GUI
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://dri.freedesktop.org/~fxkuehl/driconf/%{name}-%{version}.tar.bz2
Source1: %name.jpg
License: GPL
Group: System/Configuration/Hardware
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires: ImageMagick
Requires: gnome-python
BuildArch: noarch
Url: http://dri.sourceforge.net/cgi-bin/moin.cgi/DriConf

%description
DRIConf is the first configuration GUI for DRI. It provides a
comfortable GUI for changing the OpenGL settings.

%prep
%setup -q
%build
python setup.py build 

%install
rm -rf %buildroot %name.lang
python setup.py install --root=$RPM_BUILD_ROOT --prefix=%_prefix --install-purelib=%_datadir/%name
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%name):\
needs="x11"\
section="Configuration/Hardware"\
title="DriConf"\
longtitle="Configure the DRI hardware accelleration"\
icon="%name.png"\
command="%name"
EOF

mkdir -p %buildroot{%_liconsdir,%_miconsdir}
convert -scale 48 %SOURCE1 %buildroot%_liconsdir/%name.png
convert -scale 32 %SOURCE1 %buildroot%_iconsdir/%name.png
convert -scale 16 %SOURCE1 %buildroot%_miconsdir/%name.png

%find_lang %name
#fix paths
perl -pi -e "s^/usr/local/lib/driconf^%_datadir/%name^" %buildroot%_bindir/%name
%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc README
%_bindir/%name
%_menudir/%name
%_datadir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Fri Sep  2 2005 Gtz Waschk <waschk@mandriva.org> 0.2.7-1mdk
- update file list
- New release 0.2.7

* Mon Dec  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-1mdk
- initial package
